% Fax LaTeX2e class for LIP/ENS-Lyon.
% Public domain, written 1997-1999 by Kristoffer.Rose@ens-lyon.fr.
%
% Identification.
%
\def\fileversion{2}
\def\filedate{1999/04/02}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{lipfax}[\filedate\space v\fileversion\space LIP (ENS-Lyon) fax class]
%
% Options passed to letter class...
%
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{lipletter}}
\ProcessOptions*
%
% Basically a LIP letter.
%
\LoadClass{lipletter}
%
% New fax environment:
% \begin{fax}[pages]{faxnumber}{country}{name\\address} ... \end{fax}
%
\newenvironment{fax}[4][]
  {\newpage
    \thispagestyle{firstpage}\c@page\@ne
    \interlinepenalty=200 % smaller than the TeXbook value
    \def\topages{#1}\def\tonumber{#2}\def\tocountry{#3}%
    \@processto{\leavevmode\ignorespaces #4}%
    \@firstpagebox}
  {\stopletter\@@par\pagebreak\@@par
    \if@filesw
      \begingroup
        \let\\=\relax
        \let\protect\@unexpandable@protect
        \immediate\write\@auxout{%
          \string\@mlabel{\returnaddress}{\toname\\\toaddress}}%
      \endgroup
    \fi}
%
% The `box' on the first page.
%
\def\@firstpagebox{%
  \begin{center}\leavevmode
    \mbox{\huge \textit{Fax} / T\'el\'ecopie}\endgraf\vspace{1ex}%
    \dimen8=\textwidth \advance\dimen8 by -1cm %
    \begin{tabular}{||p{.6\dimen8}|p{.4\dimen8}||}
      \hline \rule[-4mm]{0cm}{1cm}
\textit{For} / A : \textbf{\toname} & \textit{Country} / Lieu : \tocountry \\
      \hline \rule[-4mm]{0cm}{1cm}
\textit{Fax} / T\'el\'ecopie : \textbf{\tonumber} & Pages : \topages \\
      \hline  \rule[-4mm]{0cm}{1cm}
\textit{From} / De : \fromname & \textit{Extension} / Poste : \telephonenum \\
      \hline
    \end{tabular}
  \end{center}}
%
% Opening omits \fromaddress since that's all in the box.
%
\def\opening#1{%
  \thispagestyle{firstpage}%
  {\raggedleft\@date\par}%
  \vspace{\parskip}%
  {\raggedright \toname \\ \toaddress \par}%
  \vspace{\parskip}%
  #1\par\nobreak}
%
% \closing should disregard lack of \fromaddress and be slightly more compact...
%
\def\closing#1{\par\nobreak\vspace{\parskip}%
  \stopbreaks
  \noindent
  \hspace*{\longindentation}%
  \parbox{\indentedwidth}{\raggedright
       \ignorespaces #1\\[4\medskipamount]%
       \ifx\@empty\fromsig
           \fromname
       \else \fromsig\fi \strut}%
   \par \vskip 1ex plus 1fil}
%
% The End.
