\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{liprapport}[1998/02/02 LIP Technical Report style]

\DeclareOption{a4paper}{\OptionNotUsed}
\DeclareOption{letterpaper}{\OptionNotUsed}
\DeclareOption{a5paper}{\OptionNotUsed}
\DeclareOption{b5paper}{\OptionNotUsed}
\DeclareOption{landscape}{\OptionNotUsed}
\DeclareOption{legalpaper}{\OptionNotUsed}
\DeclareOption{executivepaper}{\OptionNotUsed}


%% Record driver option (standard LaTeX2e, cf. `LaTeX Companion' p.317)
%% Thanks to Kristoffer Rose.
 
\def\Driver@ption{\OptionNotUsed\edef\DRIVER@@{[\CurrentOption]}}
\def\DRIVER@@{[dvips]}
 
\DeclareOption{cmactex}{\Driver@ption}
\DeclareOption{dvips}{\Driver@ption}
\DeclareOption{dvitops}{\Driver@ption}
\DeclareOption{emtex}{\Driver@ption}
\DeclareOption{ln}{\Driver@ption}
\DeclareOption{oztex}{\Driver@ption}
\DeclareOption{textures}{\Driver@ption}
\DeclareOption{xdvi}{\Driver@ption}


\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax

\LoadClass[a4paper]{article}


\expandafter\RequirePackage\DRIVER@@{liplogos}
\RequirePackage{ae,aeguill}

\RequirePackage[francais,english]{babel}
\selectlanguage{francais}

\DeclareRobustCommand{\titleLIP}[1]{\renewcommand{\@titleLIP}{#1}}
\newcommand{\@titleLIP}{Article sans titre}
\DeclareRobustCommand{\authorLIP}[1]{\renewcommand{\@authorLIP}{#1}}
\newcommand{\@authorLIP}{\OE{}uvre Anonyme}
\DeclareRobustCommand{\dateLIP}[1]{\renewcommand{\@dateLIP}{#1}}
\newcommand{\@dateLIP}{\selectlanguage{english}\today}
\DeclareRobustCommand{\numberLIP}[1]{\renewcommand{\@numberLIP}{#1}}
\newcommand{\@numberLIP}{??-??}
\DeclareRobustCommand{\abstractLIP}[1]{\renewcommand{\@abstractLIP}{#1}}
\newcommand{\@abstractLIP}{This should be the english abstract}
\DeclareRobustCommand{\resumeLIP}[1]{\renewcommand{\@resumeLIP}{#1}}
\newcommand{\@resumeLIP}{Ceci est le resum\'e en fran\c{c}ais}
\DeclareRobustCommand{\keywordsLIP}[1]{\renewcommand{\@keywordsLIP}{#1}}
\newcommand{\@keywordsLIP}{keyword, keyword, keyword, ...}
\DeclareRobustCommand{\motsclesLIP}[1]{\renewcommand{\@motsclesLIP}{#1}}
\newcommand{\@motsclesLIP}{mots-cl\'es, mots, cl\'es, etc.}

\DeclareRobustCommand{\rapportLIP}{%
\thispagestyle{empty}
\LIPTitle

\vfill
\newlength{\@ldfboxrule}
\setlength{\@ldfboxrule}{\fboxrule}
\setlength{\fboxrule}{2pt}
\begin{center}{\framebox[120mm]{\vbox to 90mm{\vfil%
\begin{center}\noindent\parbox{110mm}{%
  \begin{center}\Large\textbf{\textsl{\@titleLIP}}\end{center}
}
\vfil
\parbox{110mm}{\noindent\parbox{70mm}{\large\@authorLIP}\hspace{5mm}\parbox{35mm}{\normalsize\@dateLIP}}\vfil
\end{center}
}}}
\setlength{\fboxrule}{\@ldfboxrule}
\vfill
\parbox{120mm}{\hfill\normalsize{Rapport de recherche N\up{\lowercase{o}}\kern+.2em \@numberLIP}}
\end{center}
\vfill
\ENSLTitle
\vfill
\BandeauTitle
\newpage
\begin{titlepage}
\vfill
 \begin{center}%
  {\LARGE \@titleLIP \par}%
  \vskip 1.5em
  {\large
   \lineskip .5em
   \begin{tabular}[t]{c}\@authorLIP
   \end{tabular}\par}%
  \vskip 1em
  {\large \@dateLIP}%
 \end{center}%
\bigskip
\vfill
\begin{center}%
\begin{otherlanguage}{english}
\textbf{Abstract}\\%
\bigskip\parbox{120mm}{%
\@abstractLIP}
\paragraph{Keywords:}{\@keywordsLIP}
\end{otherlanguage}
\vfill
\selectlanguage{francais}
\begin{otherlanguage}{french}
\textbf{R\'esum\'e}\\%
\bigskip\parbox{120mm}{%
\@resumeLIP}
\paragraph{Mots-cl\'es:}{\@motsclesLIP}
\end{otherlanguage}
\end{center}%
\vfill
\end{titlepage}
\selectlanguage{francais}
}

